DCMTK: DJLSDecoderRegistration Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Static Public Member Functions | Static Private Attributes | List of all members
DJLSDecoderRegistration Class Reference

singleton class that registers decoders for all supported JPEG-LS processes. More...

## Static Public Member Functions
static void | registerCodecs (JLS_UIDCreation uidcreation=EJLSUC_default, JLS_PlanarConfiguration planarconfig=EJLSPC_restore, OFBool ignoreOffsetTable=OFFalse, OFBool forceSingleFragmentPerFrame=OFFalse)
| registers decoder for all supported JPEG-LS processes.
static void | cleanup ()
| deregisters decoders.
static OFString | getLibraryVersionString ()
| get version information of the CharLS library.

## Static Private Attributes
static OFBool | registered_
| flag indicating whether the decoders are already registered.
static DJLSCodecParameter * | cp_
| pointer to codec parameter shared by all decoders
static DJLSLosslessDecoder * | losslessdecoder_
| pointer to losslessdecoder
static DJLSNearLosslessDecoder * | nearlosslessdecoder_
| pointer to near-lossless encoder

## Detailed Description

singleton class that registers decoders for all supported JPEG-LS processes.

## Member Function Documentation

## ◆ cleanup()

void DJLSDecoderRegistration::cleanup | ( |  | ) |
| static

deregisters decoders.

Attention: Must not be called while other threads might still use the registered codecs, e.g. because they are currently decoding DICOM data sets through dcmdata.

## ◆ getLibraryVersionString()

OFString DJLSDecoderRegistration::getLibraryVersionString | ( |  | ) |
| static

get version information of the CharLS library.

Typical output format: "CharLS, Revision 55020 (modified)"

Returns
  name and version number of the CharLS library

## ◆ registerCodecs()

void DJLSDecoderRegistration::registerCodecs | ( | JLS_UIDCreation | uidcreation = EJLSUC_default,
|  | JLS_PlanarConfiguration | planarconfig = EJLSPC_restore,
|  | OFBool | ignoreOffsetTable = OFFalse,
|  | OFBool | forceSingleFragmentPerFrame = OFFalse )
| static

registers decoder for all supported JPEG-LS processes.

If already registered, call is ignored unless cleanup() has been performed before.

Parameters

  uidcreation | flag indicating whether or not a new SOP Instance UID should be assigned upon decompression.
  planarconfig | flag indicating how planar configuration of color images should be encoded upon decompression.
  ignoreOffsetTable | flag indicating whether to ignore the offset table when decompressing multiframe images
  forceSingleFragmentPerFrame | while decompressing a multiframe image, assume one fragment per frame even if the JPEG data for some frame is incomplete

References EJLSPC_restore, and EJLSUC_default.

The documentation for this class was generated from the following file:

- dcmjpls/include/dcmtk/dcmjpls/djdecode.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1